Skip to main content
`Ctrl`+`K`

# PetscFindCount

Finds the location of a `PetscCount` key in a sorted array of `PetscCount`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFindCount(PetscCount key, PetscCount n, const PetscCount X[], PetscCount *loc)

Not Collective

## Input Parameters

- key - the `PetscCount` key to locate

- n - number of values in the array

- X - array of `PetscCount`

## Output Parameter

- loc - the location if found, otherwise -(slot+1) where slot is the place the value would go

## See Also

`PetscCount`, `PetscSortCount()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages